org.gradle.tooling.model.gradle

## Interface GradlePublication

-     @Incubating
      public interface GradlePublication

  Represents some publication produced by a Gradle project, typically to a Maven or Ivy repository.
  Since:
    1.12

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `GradleModuleVersion` | `getId()` Returns the unique identifier of the publication.

- - ### Method Detail

    - #### getId

          GradleModuleVersion getId()

      Returns the unique identifier of the publication.
      Returns:
        the unique identifier of the publication